## GimpEnumComboBox

GimpEnumComboBox — A GimpIntComboBox subclass for selecting an enum value.

## Functions

GtkWidget * | gimp_enum_combo_box_new ()
GtkWidget * | gimp_enum_combo_box_new_with_model ()
void | gimp_enum_combo_box_set_stock_prefix ()
void | gimp_enum_combo_box_set_icon_prefix ()

## Properties

GimpEnumStore * | model | Read / Write

## Types and Values

| GimpEnumComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GimpIntComboBox
                                    ╰── GimpEnumComboBox

## Implemented Interfaces

GimpEnumComboBox implements AtkImplementor, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

A GtkComboBox subclass for selecting an enum value.

## Functions

### gimp_enum_combo_box_new ()

    GtkWidget *
    gimp_enum_combo_box_new (GType enum_type);

Creates a GtkComboBox readily filled with all enum values from a given `enum_type` . The enum needs to be registered to the type system. It should also have `GimpEnumDesc` descriptions registered that contain translatable value names. This is the case for the enums used in the GIMP PDB functions.

This is just a convenience function. If you need more control over the enum values that appear in the combo_box, you can create your own GimpEnumStore and use `gimp_enum_combo_box_new_with_model()`.

#### Parameters

enum_type | the GType of an enum. |

#### Returns

a new GimpEnumComboBox.

Since: 2.4

### gimp_enum_combo_box_new_with_model ()

    GtkWidget *
    gimp_enum_combo_box_new_with_model (GimpEnumStore *enum_store);

Creates a GtkComboBox for the given `enum_store` .

#### Parameters

enum_store | a GimpEnumStore to use as the model |

#### Returns

a new GimpEnumComboBox.

Since: 2.4

### gimp_enum_combo_box_set_stock_prefix ()

    void
    gimp_enum_combo_box_set_stock_prefix (GimpEnumComboBox *combo_box,
                                          const gchar *stock_prefix);

`gimp_enum_combo_box_set_stock_prefix` is deprecated and should not be used in newly-written code.

GIMP 2.10

Attempts to create stock icons for all items in the `combo_box` . See `gimp_enum_store_set_stock_prefix()` to find out what to use as `stock_prefix` .

#### Parameters

combo_box | a GimpEnumComboBox |
stock_prefix | a prefix to create icon stock ID from enum values |

Since: 2.4

### gimp_enum_combo_box_set_icon_prefix ()

    void
    gimp_enum_combo_box_set_icon_prefix (GimpEnumComboBox *combo_box,
                                         const gchar *icon_prefix);

Attempts to create icons for all items in the `combo_box` . See `gimp_enum_store_set_icon_prefix()` to find out what to use as `icon_prefix` .

#### Parameters

combo_box | a GimpEnumComboBox |
icon_prefix | a prefix to create icon names from enum values |

Since: 2.10

## Types and Values

### GimpEnumComboBox

    typedef struct _GimpEnumComboBox GimpEnumComboBox;

## Property Details

### The `“model”` property

      “model”                    GimpEnumStore *

The enum store used by this combo box.

Flags: Read / Write